// ---- TEXTURAS ----

#declare tSuela = texture { 
  pigment { spotted
    color_map
    {
      [0.00 color rgb<0.886, 0.510, 0.278>]
      [0.40 color rgb<0.698, 0.129, 0.000>]
      [0.40 color rgb<0.698, 0.129, 0.000>]
      [0.50 color rgb<0.686, 0.408, 0.078>]
      [0.50 color rgb<0.686, 0.408, 0.078>]
      [0.60 color rgb<0.486, 0.310, 0.278>]
      [0.60 color rgb<0.486, 0.310, 0.278>]
      [1.00 color rgb<0.886, 0.510, 0.278>] } } }

#declare tAsteroide = texture {
  pigment { bozo
    turbulence 0.6  omega 0.8  lambda 3.0
    color_map {
      [0.00 color rgb<0.510, 0.510, 0.510>]
      [1.00 color rgb<1.000, 1.000, 1.000>] } }
  normal {
    bumps 1.0
    turbulence 0.6  octaves 5  omega 0.65  lambda 3.0
    scale 8 }
  finish { ambient 0.05 diffuse 0.55 specular 0.2 } }

#declare tPlasBlanco = texture {
  pigment { color rgb <1, 1, 1> }
  finish { phong 1.0 diffuse 0.75} }

#declare tPlasNegro = texture {
  pigment { color rgb <0, 0, 0> }
  finish { phong 1.0 diffuse 0.75} }

#declare tNave = texture {
   pigment {
     color rgb<0.8, 0.8, 1> }
   finish {
     diffuse 0.55
     phong 0.5
     phong_size 30.000
     roughness 0.0200 } }

#declare tTobera = texture {
   pigment {
     gradient z
     color_map {
       [ 0.000  color rgb<0.121, 0.121, 0.121> ]
       [ 0.302  color rgb<0.579, 0.330, 1.000> ]
       [ 1.000  color rgb<0.579, 0.330, 1.000> ] } }
   finish {
     diffuse 0.500
     phong 0.150
     phong_size 20.000
     roughness 0.0100 } }

#declare tOro = texture {
   pigment { color rgb<0.927, 0.731, 0.201> }
   normal {
     ripples 1.0000
     frequency 7.000
     turbulence 0.600
     lambda 3.000 }
   finish {
     diffuse 0.650
     ambient 0.250
     phong_size 20.000
     reflection 0.350
     specular 0.400
     roughness 0.0200
     brilliance 6.000
     metallic } }

#declare tMetal = texture {
   pigment {
     color rgb<0.659, 0.659, 0.659>
   }
   finish {
     diffuse 0.700
     ambient 0.300
     reflection 0.150
     specular 0.800
     roughness 0.1000
     brilliance 8.000 } }

#declare tCrisCasco = texture {
  pigment { colour rgb<1.000,0.847,0.000> }
  finish {
    diffuse 0.15
    specular 0.45    roughness 0.01
    phong 1.0    phong_size 400
    reflection 0.95 } }

#declare tBandera = texture { 
   pigment {
     image_map {
       gif "BANDERA.GIF"
       map_type 0  
       interpolate 2 } }
   normal {
    waves 1.0
    frequency 6
    scale <0.5, 0.5, 0.5> }
   finish {
     diffuse 0.400
     ambient 0.200 } }

#declare tCartel = texture {
   pigment {
     image_map {
       gif "APOLLO.GIF"
       map_type 0  
       interpolate 2 } }
   finish {
     diffuse 0.8
     ambient 0.1
     phong 0.05
     phong_size 20 } }

#declare tPlata = texture { // Plataforma
   pigment {
     color rgb<0.720, 0.450, 0.200> }
   finish {
     diffuse 0.700
     ambient 0.200
     phong 0.750
     phong_size 80.000
     reflection 0.250
     roughness 0.0500
     brilliance 6.000 } }

#declare tBoca = texture {
  pigment {
    colour rgbf<1.000,0.247,0.204,0.388> }
  normal {
    ripples 1.0
    frequency 10 }
  finish {
    ambient 0.05
    diffuse 0.85
    specular 0.7 } }

#declare tDientes = texture {
   pigment {
     color rgb<0.95, 0.95, 0.8> }
   finish {
     diffuse 0.900
     ambient 0.1
     phong 0.500
     phong_size 25 } }

#declare tLengua = texture {
  pigment {
    colour rgbf<1.000,0.541,0.467,0.388> }
  normal {
    ripples 1.0
    frequency 10 }
  finish {
    ambient 0.05
    diffuse 0.85
    specular 0.7 } }

#declare tUna = texture {
   pigment {
     color rgb < 1, 1, 0.95 > }
   finish {
     diffuse 0.800
     ambient 0.100
     phong_size 20.000
     specular 0.400
     roughness 0.0200 } }

#declare tOjo1 = texture {
   pigment {
     image_map {
       gif "Ojo.gif"
       map_type 0  
       interpolate 2 } }
   finish {
     diffuse 0.700
     ambient 0.290
     phong_size 20
     roughness 0.02 } }

#declare tOjo2 = texture {
   pigment {
     color rgbf<1.000, 1.000, 1.000, 1.000> }
   finish {
     diffuse 0.000
     ambient 0.000
     reflection 0.500
     refraction 1
     ior 3.000
     specular 1.000 } }

#declare TexPlaneta = texture {
   pigment {
     image_map {
       gif "PLANETA.GIF"
       map_type 2
       interpolate 2 }
     scale <-1,1,1> rotate 90*x }
   finish {
     diffuse 0.700
     ambient 0.000
     phong 0.200
     phong_size 6.000
     roughness 0.0200 } }

#declare TexAnillos = texture {
   pigment {
     onion
     color_map {
       [ 0.000  color rgbf<1.000, 1.000, 1.000, 1.000> ]
       [ 0.387  color rgbf<1.000, 1.000, 1.000, 1.000> ]
       [ 0.392  color rgb<0.421, 0.767, 0.969> ]
       [ 0.514  color rgb<0.025, 0.211, 0.465> ]
       [ 0.703  color rgbf<0.598, 0.228, 0.816, 1.000> ]
       [ 0.757  color rgb<0.036, 0.433, 0.664> ]
       [ 0.842  color rgb<0.016, 0.016, 0.298> ]
       [ 1.000  color rgb<0.374, 0.766, 0.994> ] } }
   finish {
     diffuse 0.400
     ambient 0.200
     phong_size 1.000
     roughness 0.0200
     brilliance 0.000 } }

#declare TexPiedra = texture {
  pigment {
    bozo
    turbulence 0.5
    color_map {
      [0.00 0.29 color rgb <0.74, 0.56, 0.51>
                 color rgb <0.79, 0.54, 0.47>]
      [0.29 0.31 color rgb <0.78, 0.54, 0.47>
                 color rgb <0.71, 0.51, 0.46>]
      [0.31 0.43 color rgb <0.71, 0.51, 0.46>
                 color rgb <0.83, 0.61, 0.58>]
      [0.43 0.64 color rgb <0.83, 0.61, 0.58>
                 color rgb <0.65, 0.45, 0.40>]
      [0.64 0.69 color rgb <0.65, 0.45, 0.40>
                 color rgb <0.82, 0.56, 0.51>]
      [0.69 1.00 color rgb <0.82, 0.56, 0.51>
                 color rgb <0.83, 0.56, 0.51>] } }
  normal {bumps 0.5 scale <1,0.2,1>} }
 texture {
  pigment {
   marble
   turbulence 1.0
   color_map {
      [0.00 0.20 color rgbf <0.74, 0.56, 0.51, 0.5>
                 color rgbf <0.48, 0.24, 0.17, 0.5>]
      [0.20 0.40 color rgbf <0.48, 0.24, 0.17, 0.5>
                 color rgbf <0.71, 0.51, 0.46, 0.5>]
      [0.40 0.60 color rgbf <0.71, 0.51, 0.46, 0.5>
                 color rgbf <0.83, 0.61, 0.58, 0.5>]
      [0.60 0.80 color rgbf <0.83, 0.61, 0.58, 0.5>
                 color rgbf <0.45, 0.25, 0.10, 0.5>]
      [0.80 1.00 color rgbf <0.45, 0.25, 0.10, 0.5>
                 color rgbf <0.74, 0.58, 0.51, 0.5>] } }
   finish {ambient 0.02}
   normal {wrinkles 0.9}
   scale <0.1,0.5,0.5>
   rotate <0,0,90> }

#declare TexEstrella = texture {
   pigment { color rgb<1.000, 1.000, 1.000> }
   finish { diffuse 1 ambient 1 } }

#declare Texture2 = texture {
   pigment { color rgb<0.000, 0.384, 0.000> }
   normal {
     bumps 1.0000
     turbulence 2.000 }
   finish {
     diffuse 0.400
     ambient 0.200
     phong_size 20.000
     specular 0.400
     roughness 0.0200 } }

#declare TexOjo = texture {
   pigment {
     image_map {
     gif "Ojo.gif"
     map_type 0  
     interpolate 2 } }
   finish {
     diffuse 0.400
     ambient 0.300
     phong_size 20.000
     specular 0.400
     roughness 0.0200 } }

#declare TexAgua = texture {
  pigment {
    color rgb <0.05, 0.3,0.15> }
  normal { bumps 0.04 }
  finish {
    reflection 0.4
    refraction 0.5
    ior 1.33
    phong 1.0
    phong_size 100 }
    scale <0.2,0.2,0.2> }

#declare tRopa = texture {
  pigment { colour rgb<0.77,0.77,1.000> }
    normal {
    waves 0.4   
    frequency 4 }
  finish {
    diffuse 0.800
    ambient 0.15 } }

#declare tPiel = texture {
  pigment {
    spotted
    color_map {
     [0.00 color rgbf<0.565, 0.839, 0.529, 0.388>]
     [1.00 color rgb<0.804, 1.000, 0.784>] }
    frequency 5 }
  normal {
    ripples 1.0
    frequency 10 }
  finish {
    ambient 0.05
    diffuse 0.8
    specular 0.7 } }


#declare tSangre2 = texture {
   pigment { color rgb<0.754, 0.000, 0.000> }
   finish {
     diffuse 0.500
     ambient 0.200
     phong 1.000
     phong_size 100.000
     roughness 0.0200 } }